# @billogram/foundation-toolbar

> React toolbar components

## Install

```
yarn add @billogram/foundation-toolbar
```

## Usage

```tsx
import {
    FoundationFixedToolbar,
    FoundationToolbar,
} from '@billogram/foundation-toolbar';
```

See [types](src/types.ts) for exported types.

### [`FoundationFixedToolbar`](src/FoundationFixedToolbar.tsx)

```tsx
<FoundationFixedToolbar
    devices={ ['mobile', 'tablet', 'desktop'] }
    fixed={ ['mobile', 'tablet', 'desktop'] }
    initialHeight={ 0 }>
    ...
</FoundationFixedToolbar>
```

### [`FoundationToolbar`](src/FoundationToolbar.tsx)

```tsx
<FoundationToolbar
    devices={ ['mobile', 'tablet', 'desktop'] }
    fixed={ ['mobile', 'tablet', 'desktop'] }>
    ...
</FoundationToolbar>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
