import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from 'react';
import purebem from 'purebem';
import ResizeObserver from 'resize-observer-polyfill';
import './FoundationFixedToolbar.scss';
var block = purebem('foundation-fixed-toolbar');
export default function FoundationFixedToolbar(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$devices = _ref.devices,
      devices = _ref$devices === void 0 ? ['mobile', 'tablet', 'desktop'] : _ref$devices,
      _ref$fixed = _ref.fixed,
      fixed = _ref$fixed === void 0 ? ['mobile', 'tablet', 'desktop'] : _ref$fixed,
      _ref$initialHeight = _ref.initialHeight,
      initialHeight = _ref$initialHeight === void 0 ? 0 : _ref$initialHeight;
  var divRef = React.useRef(null);

  var _React$useState = React.useState(initialHeight),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      height = _React$useState2[0],
      setHeight = _React$useState2[1];

  React.useEffect(function () {
    var ro = new ResizeObserver(function (entries) {
      // Stupid "hack" to see if we can avoid the following errors
      // - ResizeObserver loop limit exceeded
      // - ResizeObserver loop completed with undelivered notifications
      window.requestAnimationFrame(function () {
        if (entries.length === 0) {
          return;
        }

        var entry = entries[0];
        var target = entry.target;

        if (height !== target.offsetHeight) {
          setHeight(target.offsetHeight);
        }
      });
    });

    if (divRef.current !== null) {
      ro.observe(divRef.current);
    }

    return function () {
      ro.disconnect();
    };
  });
  return /*#__PURE__*/React.createElement("div", {
    className: block(devices.map(function (device) {
      return "".concat(device, "-visibility");
    })),
    style: {
      height: height
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: block('content', fixed.map(function (device) {
      return "".concat(device, "-fixed");
    })),
    ref: divRef
  }, children));
}
//# sourceMappingURL=FoundationFixedToolbar.js.map